// -*- c++ -*-

# ifndef MoveTextTest_h
# define MoveTextTest_h

# include <TestHeader.h>

class MoveTextTest
  : public TestFixture
{
  CPPUNIT_TEST_SUITE( MoveTextTest );
  CPPUNIT_TEST( testAddMove );
  CPPUNIT_TEST( testGetMove );
  CPPUNIT_TEST( testVariation );
  CPPUNIT_TEST( testReadVariation );
  CPPUNIT_TEST( testReadComment );
  CPPUNIT_TEST( testEdit );
  CPPUNIT_TEST( testGetLastMove );
  CPPUNIT_TEST_SUITE_END();
protected:
  void testAddMove();
  void testGetMove();
  void testVariation();
  void testReadVariation();
  void testReadComment();
  void testEdit();
  void testGetLastMove();
};

# endif // MoveTextTest_h
